---
updatedAt: 2025-09-24T00:05:08.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Connect an item

Returns the URL to Bridge's Connect funnel for adding an item

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/connect/items/add": {
      "post": {
        "summary": "Connect an item",
        "description": "Returns the URL to Bridge's Connect funnel for adding an item",
        "operationId": "connect-an-item",
        "parameters": [
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "prefill_email"
                ],
                "properties": {
                  "country": {
                    "type": "string",
                    "description": "In the banks display, the country selector will default to the `country` parameter if provided. Available country codes : `fr`, `uk`, `de`, `es`, `nl`. If you customize the highlighted banks on the dashboard, this parameter will be inactive."
                  },
                  "prefill_email": {
                    "type": "string",
                    "description": "Used to avoid your user to fill their email in the Connect user journey."
                  },
                  "redirect_url": {
                    "type": "string",
                    "description": "Optional redirect URL that temporarily overrides the application's redirect URL. **Only usable for sandbox applications**"
                  },
                  "context": {
                    "type": "string",
                    "description": "Optional context that will be add to the redirect url on the exit of the funnel. Only accept numbers and letters (max length 100)"
                  },
                  "bank_id": {
                    "type": "integer",
                    "description": "If the parameter is set, your user will directly access the concerned bank credentials form (and not see the banks list). Be careful to select banks with at least the `ais` capability (cf. [List banks](https://docs.bridgeapi.io/reference/list-banks))",
                    "format": "int32"
                  },
                  "capabilities": {
                    "type": "array",
                    "description": "Check available capabilities in the [Bank resource](https://docs.bridgeapi.io/reference/bank-resource) section. If you set multiple values, the union between them is a \"AND\".",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Success": {
                    "value": "{\n  \"redirect_url\": \"https://connect.bridgeapi.io/session/09486392-9e19-4045-a758-65daea24aes9\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "redirect_url": {
                      "type": "string",
                      "example": "https://connect.bridgeapi.io/session/09486392-9e19-4045-a758-65daea24aes9"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.bridgeapi.io/v2/connect/items/add\" \\\n\t-X POST \\\n  -H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN' \\\n  -d $'{\n      \"country\": \"fr\",\n      \"prefill_email\": \"email@gmail.com\",\n      }'",
              "name": "example 1"
            },
            {
              "language": "curl",
              "code": "curl \"https://api.bridgeapi.io/v2/connect/items/add\" \\\n\t-X POST \\\n  -H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN' \\\n  -d $'{\n      \"country\": \"fr\",\n      \"prefill_email\": \"email@gmail.com\",\n      \"iban\": \"FR7430003000502537446929K93\",\n      \"capabilities\": [\"ais\", \"bulk_transfer\"],\n      \"bank_id\": 408\n      }'",
              "name": "example 2"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```